%define upstream_name    Scalar-List-Utils
%define upstream_version 1.63

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    List utilities (eg min, max, reduce)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
'List::Util' contains a selection of subroutines that people have expressed
would be nice to have in the perl core, but the usage would not really be
high enough to warrant the use of a keyword, and the size so small such
that being individual extensions would be wasteful.

By default 'List::Util' does not export any subroutines. The subroutines
defined are

* first BLOCK LIST

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make_build}

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Tue Nov 28 2023 tv <tv> 1.630.0-2.mga10
+ Revision: 2010480
- Rebuild for perl-5.38

* Sat Aug 13 2022 tv <tv> 1.630.0-1.mga9
+ Revision: 1877448
- update to 1.63

* Tue Jun 07 2022 umeabot <umeabot> 1.620.0-2.mga9
+ Revision: 1862378
- Rebuild for Perl 5.36

* Fri Mar 18 2022 tv <tv> 1.620.0-1.mga9
+ Revision: 1798298
- update to 1.62

* Thu Mar 17 2022 umeabot <umeabot> 1.610.0-2.mga9
+ Revision: 1796903
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 tv <tv> 1.610.0-1.mga9
+ Revision: 1784054
- update to 1.61

* Sat Oct 16 2021 tv <tv> 1.600.0-1.mga9
+ Revision: 1751830
- update to 1.60

* Tue Sep 14 2021 tv <tv> 1.590.0-1.mga9
+ Revision: 1745443
- update to 1.59

* Mon May 24 2021 umeabot <umeabot> 1.560.0-2.mga9
+ Revision: 1727058
- Rebuild for perl 5.34

* Sun Apr 04 2021 tv <tv> 1.560.0-1.mga9
+ Revision: 1713156
- update to 1.56

* Wed Jun 17 2020 umeabot <umeabot> 1.550.0-2.mga8
+ Revision: 1595153
- Rebuild for perl 5.32

* Mon Apr 13 2020 tv <tv> 1.550.0-1.mga8
+ Revision: 1567081
- update to 1.55

* Fri Feb 21 2020 umeabot <umeabot> 1.540.0-2.mga8
+ Revision: 1547861
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 1.540.0-1.mga8
+ Revision: 1488513
- update to 1.54

* Fri Oct 25 2019 tv <tv> 1.530.0-1.mga8
+ Revision: 1455768
- update to 1.53

* Tue Aug 27 2019 tmb <tmb> 1.520.0-2.mga8
+ Revision: 1433890
- rebuild for perl 5.30

* Sun Aug 25 2019 tv <tv> 1.520.0-1.mga8
+ Revision: 1432105
- update to 1.52

* Thu Aug 08 2019 tv <tv> 1.510.0-1.mga8
+ Revision: 1428266
- update to 1.51

* Fri Sep 21 2018 umeabot <umeabot> 1.500.0-3.mga7
+ Revision: 1293748
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.500.0-2.mga7
+ Revision: 1249880
- Rebuild for perl 5.28

* Wed Mar 07 2018 shlomif <shlomif> 1.500.0-1.mga7
+ Revision: 1207237
- update to 1.50

* Tue Oct 03 2017 tv <tv> 1.490.0-3.mga7
+ Revision: 1166413
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 1.490.0-2.mga7
+ Revision: 1155981
+ rebuild (emptylog)

* Tue Sep 19 2017 tv <tv> 1.490.0-1.mga7
+ Revision: 1155909
- update to 1.49

* Thu Aug 31 2017 pterjan <pterjan> 1.480.0-2.mga7
+ Revision: 1149130
- Rebuild for perl ABI changes

* Wed Aug 02 2017 shlomif <shlomif> 1.480.0-1.mga7
+ Revision: 1134035
- New version 1.48

* Sat Jul 22 2017 neoclust <neoclust> 1.450.0-4.mga7
+ Revision: 1127212
- Rebuild against new Perl 5.26

* Wed Feb 01 2017 shlomif <shlomif> 1.450.0-3.mga6
+ Revision: 1084489
- Rebuild for new perl to override core

* Wed May 04 2016 shlomif <shlomif> 1.450.0-2.mga6
+ Revision: 1009406
- Rebuild due to new perl which demoted the installation paths.

* Fri Apr 15 2016 shlomif <shlomif> 1.450.0-1.mga6
+ Revision: 1001849
- update to 1.45

* Fri Feb 12 2016 umeabot <umeabot> 1.420.0-3.mga6
+ Revision: 957949
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 tv <tv> 1.420.0-2.mga6
+ Revision: 843432
- rebuild with soname-ified perl

* Wed Jun 24 2015 sander85 <sander85> 1.420.0-1.mga6
+ Revision: 841721
- update to 1.42

* Wed Oct 15 2014 umeabot <umeabot> 1.410.0-4.mga5
+ Revision: 747473
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.410.0-3.mga5
+ Revision: 733368
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.410.0-2.mga5
+ Revision: 686169
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 1.410.0-1.mga5
+ Revision: 672848
- update to 1.41

* Sun Aug 31 2014 sander85 <sander85> 1.400.0-1.mga5
+ Revision: 669929
- update to 1.40

* Fri Jun 06 2014 jquelin <jquelin> 1.390.0-1.mga5
+ Revision: 634039
- update to 1.39

* Tue Jun 03 2014 pterjan <pterjan> 1.380.0-2.mga5
+ Revision: 631654
- Rebuild for perl 5.20

* Tue Feb 04 2014 shlomif <shlomif> 1.380.0-1.mga5
+ Revision: 581814
- update to 1.38

* Tue Oct 22 2013 umeabot <umeabot> 1.330.0-2.mga4
+ Revision: 542266
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 1.330.0-1.mga4
+ Revision: 497184
- update to 1.33

* Sun Sep 08 2013 sander85 <sander85> 1.320.0-1.mga4
+ Revision: 475912
- update to 1.32

* Fri Aug 16 2013 sander85 <sander85> 1.310.0-1.mga4
+ Revision: 466857
- update to 1.31

* Mon Aug 05 2013 sander85 <sander85> 1.300.0-1.mga4
+ Revision: 463970
- update to 1.30

* Fri Aug 02 2013 sander85 <sander85> 1.290.0-1.mga4
+ Revision: 462677
- update to 1.29

* Wed May 29 2013 jquelin <jquelin> 1.270.0-4.mga4
+ Revision: 430930
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 1.270.0-3.mga3
+ Revision: 405503
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.270.0-2.mga3
+ Revision: 372547
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.270.0-1.mga3
+ Revision: 341875
- update to 1.27

* Mon Jun 04 2012 jquelin <jquelin> 1.250.0-1.mga3
+ Revision: 254127
- update to 1.25

* Wed May 30 2012 jquelin <jquelin> 1.230.0-7.mga3
+ Revision: 251093
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.230.0-6.mga2
+ Revision: 104952
- Rebuild for perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 1.230.0-5.mga1
+ Revision: 53702
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.230.0-4.mga1
+ Revision: 31126
- mageia rebuild
- imported package perl-Scalar-List-Utils

